<section class="mapset-setting mb-2">
  <div class="container">
    <div class="row sidenav_panel_mapset_header">
      <div class="col p-2">
        {{ mapset.name }}
      </div>
      <div class="col-sm-3 p-2 text-end">
        <button class="btn btn-none p-0 me-2"
                (click)="showHideLayer()">
          <fa-icon *ngIf="isShowLayer"
                   [icon]="icon.faEye"
                   ngbTooltip="Sembunyikan"
                   transform="shrink-30"
                   class="text-gray"></fa-icon>
          <fa-icon *ngIf="!isShowLayer"
                   [icon]="icon.faEyeSlash"
                   ngbTooltip="Tampilkan"
                   transform="shrink-30"
                   class="text-gray"></fa-icon>
        </button>
        <button class="btn btn-none p-0"
                (click)="collapseMapset()">
          <fa-icon *ngIf="!isCollapseMapset"
                   [icon]="icon.faCaretDown"
                   transform="shrink-35"
                   class="text-gray">
          </fa-icon>
          <fa-icon *ngIf="isCollapseMapset"
                   [icon]="icon.faCaretUp"
                   transform="shrink-35"
                   class="text-gray"></fa-icon>
        </button>
      </div>
    </div>

    <div class="{{ isCollapseMapset ? 'collapse show' : 'collapse' }}">
      <div class="row">
        <div class="col p-2">
          <div class="panel_legend">
            <div id="legend{{ mapset.id }}"
                 class="mapset_legend"></div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col ps-2 pb-2 pe-2 sidenav-panel-mapset-tool d-flex align-items-center">
          Transparansi
          <div class="custom-slider-transparency py-2 pe-0 ms-2">
            <ng5-slider (valueChange)="setTransparency($event)"
                        [options]="optTransparency"
                        [(ngModel)]="valTransparency">
              <ng-template #tooltipTemplate
                           let-tooltip="tooltip"
                           let-placement="bottom"
                           let-content="content">
                <div>{{content}}</div>
              </ng-template>
            </ng5-slider>
          </div>
          <input class="btn btn-secondary ms-2"
                 [value]="valTransparency + '%'"
                 (input)="setValTransparency($event.target.value)">
        </div>
      </div>
      <div class="row">
        <div class="col px-2 pt-0 pb-2">
          <div class="tools btn-group border-button w-100"
               role="group"
               aria-label="Basic example">
            <button (click)="clickZoomExtent()"
                    type="button"
                    class="btn btn-secondary d-flex align-items-center"
                    style="border-right: 1px solid #222831;">
              <svg width="14"
                   height="14"
                   viewBox="0 0 14 14"
                   fill="none"
                   xmlns="http://www.w3.org/2000/svg">
                <path d="M7 13.75C3.27198 13.75 0.25 10.728 0.25 7C0.25 3.27198 3.27198 0.25 7 0.25C10.728 0.25 13.75 3.27198 13.75 7C13.75 10.728 10.728 13.75 7 13.75ZM3.625 6.6625L6.325 7.675L7.3375 10.3764L9.7 4.3L3.625 6.6625Z"
                      fill="#EBEBEB" />
              </svg>
              <div class="ms-2">Pusatkan</div>
            </button>
            <div class="vertical-border mt-1 mb-1"></div>
            <button (click)="clickAboutMapset(mapset.id)"
                    type="button"
                    class="btn btn-secondary d-flex align-items-center"
                    style="border-right: 1px solid #222831;">
              <svg width="16"
                   height="16"
                   viewBox="0 0 16 16"
                   fill="none"
                   xmlns="http://www.w3.org/2000/svg">
                <path d="M8 15.5C3.85775 15.5 0.5 12.1423 0.5 8C0.5 3.85775 3.85775 0.5 8 0.5C12.1423 0.5 15.5 3.85775 15.5 8C15.5 12.1423 12.1423 15.5 8 15.5ZM8 14C9.5913 14 11.1174 13.3679 12.2426 12.2426C13.3679 11.1174 14 9.5913 14 8C14 6.4087 13.3679 4.88258 12.2426 3.75736C11.1174 2.63214 9.5913 2 8 2C6.4087 2 4.88258 2.63214 3.75736 3.75736C2.63214 4.88258 2 6.4087 2 8C2 9.5913 2.63214 11.1174 3.75736 12.2426C4.88258 13.3679 6.4087 14 8 14ZM7.25 4.25H8.75V5.75H7.25V4.25ZM7.25 7.25H8.75V11.75H7.25V7.25Z"
                      fill="#EBEBEB" />
              </svg>
              <div class="ms-2">Informasi</div>
            </button>
            <div class="vertical-border mt-1 mb-1"></div>
            <button type="button"
                    class="btn btn-secondary d-flex align-items-center"
                    (click)="removeMapset()">
              <svg width="14"
                   height="14"
                   viewBox="0 0 14 14"
                   fill="none"
                   xmlns="http://www.w3.org/2000/svg">
                <path d="M13.1875 2.49999H12.0625H10.2513L10.0662 1.75973C9.84457 0.871 9.04918 0.25 8.13287 0.25H5.86711C4.95079 0.25 4.15543 0.871 3.93379 1.75976L3.74871 2.50002H1.9375H0.812491C0.501438 2.49999 0.25 2.75201 0.25 3.06251C0.25 3.37301 0.501438 3.625 0.812491 3.625H1.40536L1.87899 12.1559C1.92906 13.0497 2.66988 13.75 3.5648 13.75H10.4352C11.3301 13.75 12.0709 13.0497 12.121 12.1559L12.5946 3.625H13.1875C13.4985 3.625 13.75 3.37301 13.75 3.06251C13.75 2.75201 13.4986 2.49999 13.1875 2.49999ZM5.02449 2.03255C5.12181 1.64556 5.46775 1.37498 5.86711 1.37498H8.13287C8.53225 1.37498 8.87819 1.64554 8.97548 2.03255L9.09192 2.49999H4.90805L5.02449 2.03255ZM5.3125 10.9375C5.3125 11.248 5.06106 11.5 4.75001 11.5C4.43896 11.5 4.18752 11.248 4.18752 10.9375V5.3125C4.18752 5.002 4.43896 4.75001 4.75001 4.75001C5.06106 4.75001 5.3125 5.002 5.3125 5.3125V10.9375ZM7.56249 10.9375C7.56249 11.248 7.31105 11.5 7 11.5C6.68895 11.5 6.43751 11.248 6.43751 10.9375V5.3125C6.43751 5.002 6.68895 4.75001 7 4.75001C7.31105 4.75001 7.56249 5.002 7.56249 5.3125V10.9375ZM9.81251 10.9375C9.81251 11.248 9.56107 11.5 9.25002 11.5C8.93896 11.5 8.68753 11.248 8.68753 10.9375V5.3125C8.68753 5.002 8.93896 4.75001 9.25002 4.75001C9.56107 4.75001 9.81251 5.002 9.81251 5.3125V10.9375Z"
                      fill="#EBEBEB" />
              </svg>
              <div class="ms-2">Hapus</div>
            </button>
          </div>
        </div>
      </div>
      <div class="row sidenav_panel_mapset_filter">
        <div class="col p-2">
          <div class="row">
            <div class="col">
              <app-filtercard mapsetId="{{ mapset.id }}"
                              unikId="{{ mapset.id + '_' + filterCardNumber }}"
                              *ngFor="let filterCardNumber of filterCardMapset"
                              id="filterCard{{ filterCardNumber }}"
                              (clickRemove)="removeFilterCard($event)"></app-filtercard>
            </div>
          </div>
          <button class="btn btn-secondary mt-2 ps-2 btn-add"
                  (click)="addFilter()">
            + &nbsp; TAMBAH FILTER
          </button>
        </div>
      </div>
    </div>
  </div>
</section>